import { Routes } from '@angular/router';
import { LandingComponent } from './feature/landing/landing.component';
import { HomeComponent } from './feature/home/home.component';
import { authGuard } from './auth.guard';

export const routes: Routes = [
  {
    path: '',
    component: LandingComponent,
  },
  {
    path: 'login/success',
    loadComponent: () => import('./feature/login-success/login-success.component'),
  },
  {
    path: 'home',
    component: HomeComponent,
    canActivate: [authGuard],
  },
];
